package xunji

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/xunji"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /xunji/list xunji GetXunjiList
//
// Get xunji list | 获取Xunji列表
//
// Get xunji list | 获取Xunji列表
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: XunjiListReq
//
// Responses:
//  200: XunjiListResp

func GetXunjiListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.XunjiListReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := xunji.NewGetXunjiListLogic(r.Context(), svcCtx)
		resp, err := l.GetXunjiList(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
